Bug 414172 - After input of requested key - message of wallet-problem
Summary: After input of requested key - message of wallet-problem
Status: REPORTED
Alias: None
Product: kmail2
Classification: Applications
Component: crypto (show other bugs)
Version: unspecified
Platform: OpenSUSE Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-15 11:52 UTC by Harold Becker
Modified: 2020-08-07 18:04 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Request for secret openPGP-key: password (30.52 KB, image/png)
2019-11-15 14:50 UTC, Harold Becker
Details
Encryption error kdewallet (34.00 KB, image/png)
2019-11-15 14:54 UTC, Harold Becker
Details
kleopatra verified keys (85.71 KB, image/png)
2019-11-15 15:05 UTC, Harold Becker
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Harold Becker 2019-11-15 11:52:56 UTC
SUMMARY


STEPS TO REPRODUCE
1. Input key, when requested by KMail2
2. 
3. 

OBSERVED RESULT
Correct key is accepted by KMail2, but a message pops up, that wallet cannnot be written correctly.

EXPECTED RESULT
Acceptance by mail-program without further error message.

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: openSUSE Leap 15.1 64-bit / 5.12.8
Kernel-version: 4.12.14-lp151.28.32-default
KDE Plasma Version: 5.12.8
KDE Frameworks Version: 5.55.0
Qt Version: 5.9.7

ADDITIONAL INFORMATION
Comment 1 Laurent Montel 2019-11-15 12:13:56 UTC
hi
Which message ? 
Could you provide a screenshot ?
thanks
Comment 2 Harold Becker 2019-11-15 14:50:37 UTC
Created attachment 123943 [details]
Request for secret openPGP-key: password

I know the password. Password given by me is accepted.
Comment 3 Harold Becker 2019-11-15 14:54:31 UTC
Created attachment 123944 [details]
Encryption error kdewallet

Secret and public key is usable.
I verified the GPG-key in kleopatra (see next attachment of screenshot).
Comment 4 Harold Becker 2019-11-15 15:05:32 UTC
Created attachment 123945 [details]
kleopatra verified keys
Comment 5 Harold Becker 2019-11-15 15:36:10 UTC
Hello.

Thank you for your answer.

The added attachments show screenshots of key request and error message
window.


Best wishes
Harold Becker

------------------------------
Am Freitag, 15. November 2019, 13:13:56 CET schrieb Laurent Montel:
> https://bugs.kde.org/show_bug.cgi?id=414172
>
> Laurent Montel <montel@kde.org> changed:
>
>            What    |Removed                     |Added
> ----------------------------------------------------------------------------
> CC|                            |montel@kde.org
>
> --- Comment #1 from Laurent Montel <montel@kde.org> ---
> hi
> Which message ?
> Could you provide a screenshot ?
> thanks
>
> --
> You are receiving this mail because:
> You reported the bug.
Comment 6 Harold Becker 2020-01-13 08:26:17 UTC
Last change of request was mid of November 2019. Will there be any answer?
Comment 7 Harold Becker 2020-05-22 10:20:21 UTC
Last change of request was mid of November 2019.
Last comment (13th January 2020) seems to be ignored.
Will there be any answer?
Comment 8 Christoph Feck 2020-06-20 14:44:38 UTC
Is this still reproducible in the latest version? KMail 5.14.2 is available in the KDE backport repositories for openSUSE 15.1.
Comment 9 Harold Becker 2020-08-07 18:04:05 UTC
1. It is still reproducible in latest version (now openSUSE Leap 15.2 and KMail 5.14.2).
2) I hesitate to undermine openSUSE versioning.
Newest system information:
openSUSE Leap 15.2
KDE-Plasma-Version: 5.18.5
KDE-Frameworks-Version: 5.71.0
QT-Version: 5.12.7
Kernel-Version: 5.3.18-lp152.33-dafault
Art des Betriebssystems: 64-bit
KMail-Version: see above
Where is wallet written?
Might it be an access problem (access rights)?